"{ Encoding: utf8 }"

"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

BadMatchPatternError subclass:#BadGLOBPatternError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!BadGLOBPatternError class methodsFor:'documentation'!

documentation
"
    Raised if an invalid GLOB pattern is tried to be matched
    If unhandled, I proceed with nil (to be backward compatible
    with the previous match behaviour.

    [author:]
        cg
"
! !

!BadGLOBPatternError class methodsFor:'queries'!

isQuerySignal
    "I proceed if unhandled"

    ^ true

    "
     BadGLOBPatternError raiseAsQuery
    "

    "Created: / 25-06-2023 / 10:04:33 / cg"
! !

!BadGLOBPatternError class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'! !

